Resource

Subscriber Notification Template

Manage custom notification templates for status page subscribers. These templates can be used to customize the notifications sent to subscribers via Email, SMS, Slack, Microsoft Teams, and Webhooks.

The Subscriber Notification Template Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    templateName
    Type
    TextRequired
    Description

    A friendly name for this notification template

  • Name
    templateDescription
    Type
    Long Text
    Description

    A description for this notification template

  • Name
    eventType
    Type
    TextRequired
    Description

    The type of event this template is for (e.g., Incident Created, Announcement Created)

  • Name
    notificationMethod
    Type
    TextRequired
    Description

    The notification method this template is for (Email, SMS, Slack, Microsoft Teams, Webhook)

  • Name
    emailSubject
    Type
    Text
    Description

    The subject line for email notifications. Only used for Email notification method.

  • Name
    templateBody
    Type
    HTMLRequired
    Description

    The template body content. For Email: HTML template. For SMS: Plain text. For Slack/Teams: Markdown.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/status-page-subscriber-notification-template/get-list

List

This endpoint allows you to retrieve a paginated list of all your Subscriber Notification Template. By default, a maximum of ten Subscriber Notification Template are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-subscriber-notification-template/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "eventType": true,
    "notificationMethod": true,
    "projectId": true,
    "templateBody": true,
    "templateName": true
  },
  "query": {
    "eventType": "Example event type"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377dc6b0-28fe-11f1-b591-3fdcef396aba",
      "eventType": "Example event type",
      "notificationMethod": "Example notification method",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "templateBody": "Example template body",
      "templateName": "Example template name"
    },
    {
      "_id": "377dc6b1-28fe-11f1-b591-3fdcef396aba",
      "eventType": "Example event type",
      "notificationMethod": "Example notification method",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "templateBody": "Example template body",
      "templateName": "Example template name"
    },
    {
      "_id": "377dc6b2-28fe-11f1-b591-3fdcef396aba",
      "eventType": "Example event type",
      "notificationMethod": "Example notification method",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "templateBody": "Example template body",
      "templateName": "Example template name"
    }
  ]
}
GETorPOST/api/status-page-subscriber-notification-template/:id/get-item

Get item by ID

This endpoint allows you to retrieve Subscriber Notification Template by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-subscriber-notification-template/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "eventType": true,
    "notificationMethod": true,
    "projectId": true,
    "templateBody": true,
    "templateName": true
  }
}

Response

{
  "_id": "377dc6b0-28fe-11f1-b591-3fdcef396aba",
  "eventType": "Example event type",
  "notificationMethod": "Example notification method",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "templateBody": "Example template body",
  "templateName": "Example template name"
}
POST/api/status-page-subscriber-notification-template/count

Count

This endpoint allows you to retrieve the count of all your Subscriber Notification Template.

Optional Request Body

Count Request

POST
/api/status-page-subscriber-notification-template/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "eventType": "Example event type"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-subscriber-notification-template

Create Subscriber Notification Template

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-subscriber-notification-template
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "eventType": "Example event type",
    "notificationMethod": "Example notification method",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "templateBody": "Example template body",
    "templateName": "Example template name"
  }
}

Response

{
  "_id": "377dc6b0-28fe-11f1-b591-3fdcef396aba",
  "eventType": "Example event type",
  "notificationMethod": "Example notification method",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "templateBody": "Example template body",
  "templateName": "Example template name"
}
PUT/api/status-page-subscriber-notification-template/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-subscriber-notification-template/:id/update-item
GET/api/status-page-subscriber-notification-template/:id/update-item

Update Request

PUT
/api/status-page-subscriber-notification-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "eventType": "Example event type",
    "notificationMethod": "Example notification method",
    "templateBody": "Example template body"
  }
}

Response

{}
DELETE/api/status-page-subscriber-notification-template/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-subscriber-notification-template/:id/delete-item
GET/api/status-page-subscriber-notification-template/:id/delete-item

Delete Request

DELETE
/api/status-page-subscriber-notification-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Subscriber Notification Template
  • Read All Project Resources

Create Permissions

Required to create Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Subscriber Notification Template

Update Permissions

Required to update Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page Subscriber Notification Template

Delete Permissions

Required to delete Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page Subscriber Notification Template